/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.apilib.common.command;

import de.ozgcloud.apilib.common.command.OzgCloudCreateSubCommandsRequest.OzgCloudCreateSubCommandsRequestBuilder;
import de.ozgcloud.apilib.common.command.grpc.OzgCloudCommandTestFactory;

public class OzgCloudCreateSubCommandsRequestTestFactory {

	public static final String PARENT_ID = "parent-id";
	public static final String EXECUTION_MODE = "PARALLEL";
	public static final boolean COMPLETED_IF_SUBS_COMPLETED = true;

	public static OzgCloudCreateSubCommandsRequest create() {
		return createBuilder().build();
	}

	public static OzgCloudCreateSubCommandsRequestBuilder createBuilder() {
		return OzgCloudCreateSubCommandsRequest.builder()
			.parentId(PARENT_ID)
			.executionMode(EXECUTION_MODE)
			.completedIfSubsCompleted(COMPLETED_IF_SUBS_COMPLETED)
			.subCommand(OzgCloudCommandTestFactory.create());
	}
}
